// @flow
import PropTypes from 'prop-types';
import type { BreakPoints } from '../../breakpoints';
import { breakPoints } from '../../breakpoints';

export type HideProps = {
  hide?: ('sm' | 'md' | 'xl') | Array<BreakPoints>,
};

export const hidePropTypes = {
  hide: PropTypes.oneOfType([
    PropTypes.oneOf(['sm', 'md', 'xl']),
    PropTypes.arrayOf(PropTypes.oneOf(breakPoints)),
  ]),
};
